/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.dass;

/**
 * @author Ph Durieux
 */
public class P3PK implements java.io.Serializable {
    public String id3;
    public String id;
 
    private int hashCode = -1;

    public P3PK() {
    }

    public P3PK(String id3, String id) {
        this.id3 = id3;
        this.id = id;
    }

    public boolean equals(Object other) {
        if (other == null) {
            return false;
        }
        if (other == this) {
            return true;
        }
        if (!(other instanceof P3PK)) {
            return false;
        }
        P3PK otherPK = (P3PK) other;
        return (id3.equals(otherPK.id3) && id.equals(otherPK.id));
    }

    public int hashCode() {
        if (hashCode == -1) {
            hashCode = id3.hashCode();
        }
        return hashCode;
    }

    public String toString() {
        return(id3 + id);
    }
}

